(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     80040,       1937]
NotebookOptionsPosition[     74098,       1842]
NotebookOutlinePosition[     74518,       1859]
CellTagsIndexPosition[     74475,       1856]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[StyleBox["Last checked 20 April, 2023",
 CellFrame->True,
 Background->GrayLevel[0.849989]]], "Text",
 CellFrame->True,
 CellChangeTimes->{{3.851321730299733*^9, 3.851321747924562*^9}, 
   3.8513218075505953`*^9, {3.890897811719871*^9, 3.890897826726935*^9}, {
   3.890973965108789*^9, 3.8909739653874283`*^9}},
 TextAlignment->Left,
 Background->GrayLevel[
  0.849989],ExpressionUUID->"b1c919ef-eebc-4aa6-a834-83a6feffe5e0"],

Cell["Chapter 8, Section 8.11, Fig.8.21", "Section",
 CellChangeTimes->{{3.881401121481667*^9, 
  3.8814011443253*^9}},ExpressionUUID->"5732c211-cd25-49d8-ae1f-19342b9da487"],

Cell["In order to produce this plot we make use", "Text",
 CellFrame->True,
 CellChangeTimes->{{3.8814020920233088`*^9, 3.88140210628867*^9}},
 Background->GrayLevel[
  0.849989],ExpressionUUID->"91a497db-a69c-4474-8368-aab1d7cf4565"],

Cell[TextData[{
 "Use the definition of ",
 StyleBox["LaplaceCoefficient", "Input"],
 " from the ",
 StyleBox["DisturbingFunction", "Input"],
 " package."
}], "Text",
 CellFrame->True,
 Background->GrayLevel[
  0.849989],ExpressionUUID->"3b2b4ba5-885a-4d17-97e7-9f6a615a02d7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"LaplaceCoefficient", "[", 
   RowBox[{"s_", ",", " ", "jj_", ",", " ", "a_", ",", " ", "n_"}], "]"}], 
  " ", ":=", "\n", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"outside", ",", " ", 
      RowBox[{"j", "=", 
       RowBox[{"Abs", "[", "jj", "]"}]}], ",", " ", "cterm", ",", " ", 
      "cbterm", ",", " ", "csum", ",", " ", "i", ",", " ", "k"}], "}"}], ",", 
    "\n", 
    RowBox[{
     RowBox[{"outside", " ", "=", " ", 
      RowBox[{"2", "*", 
       RowBox[{
        RowBox[{"Product", "[", 
         RowBox[{
          RowBox[{"s", "+", "k"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"j", "-", "1"}]}], "}"}]}], "]"}], "/", 
        RowBox[{"j", "!"}]}], "*", 
       RowBox[{"a", "^", 
        RowBox[{"(", 
         RowBox[{"j", "-", "n"}], ")"}]}]}]}], ";", "\n", 
     RowBox[{"cterm", " ", "=", " ", "1"}], ";", "\n", 
     RowBox[{"cbterm", " ", "=", " ", 
      RowBox[{"cterm", " ", "*", " ", 
       RowBox[{"Product", "[", 
        RowBox[{
         RowBox[{"j", "-", "k"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"k", ",", "0", ",", 
           RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}]}], ";", "\n", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"i", "=", "1"}], ";", " ", 
        RowBox[{"csum", " ", "=", " ", "cbterm"}]}], ",", " ", "\n", "    ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"cbterm", " ", ">", " ", "$MachineEpsilon"}], ")"}], " ", "||",
         " ", 
        RowBox[{"(", 
         RowBox[{"cbterm", " ", "==", " ", "0"}], ")"}]}], ",", "\n", "    ", 
       
       RowBox[{"i", "++"}], ",", " ", "\n", "    ", 
       RowBox[{
        RowBox[{"cterm", " ", "=", " ", 
         RowBox[{"cterm", " ", "*", " ", 
          RowBox[{"(", 
           RowBox[{"s", "+", "i", "-", "1"}], ")"}], " ", "*", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"s", "+", "j", "+", "i", "-", "1"}], ")"}], "/", "i"}], 
           "/", 
           RowBox[{"(", 
            RowBox[{"j", "+", "i"}], ")"}]}], " ", "*", " ", 
          RowBox[{"a", "^", "2"}]}]}], ";", "\n", "    ", 
        RowBox[{"cbterm", " ", "=", " ", 
         RowBox[{"cterm", " ", "*", " ", 
          RowBox[{"Product", "[", 
           RowBox[{
            RowBox[{"j", "+", 
             RowBox[{"2", "*", "i"}], "-", "k"}], ",", " ", 
            RowBox[{"{", 
             RowBox[{"k", ",", "0", ",", 
              RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}]}], ";", "\n", 
        "    ", 
        RowBox[{"csum", " ", "=", " ", 
         RowBox[{"csum", " ", "+", " ", "cbterm"}]}]}]}], "\n", "   ", "]"}], 
     ";", "\n", 
     RowBox[{"Expand", "[", 
      RowBox[{"outside", "*", "csum"}], "]"}]}]}], "\n", "]"}]}]], "Input",
 CellChangeTimes->{{3.881401201967123*^9, 3.88140120197307*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"9ace43fb-ea36-4bc7-8daf-9562027ee2a9"],

Cell[TextData[{
 "Define a function ",
 StyleBox["Resonance", "Input"],
 " that calculates the semi-major axis of the resonance given by the argument \
",
 StyleBox["arg", "Input"],
 "."
}], "Text",
 CellFrame->True,
 Background->GrayLevel[
  0.849989],ExpressionUUID->"44ad17e7-84ec-4cc5-a1d2-5a60e2ec089e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Resonance", "[", 
   RowBox[{
   "gm_", ",", " ", "rp_", ",", " ", "as_", ",", " ", "ns_", ",", " ", 
    "cpds_", ",", " ", "omds_", ",", "\n", "          ", "ms_", ",", " ", 
    "es_", ",", " ", "is_", ",", " ", "j2_", ",", " ", "j4_", ",", " ", 
    "arg_List", ",", " ", "inner_"}], "]"}], " ", ":=", "\n", 
  RowBox[{"(*", "\n", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Determines", " ", "the", " ", "resonant", " ", "location", " ", "of", 
      " ", "the", " ", "given", "\n", 
      RowBox[{"argument", ".", "\n", "\n", " ", "gm"}]}], "   ", "=", " ", 
     RowBox[{
      RowBox[{
      "gravitational", " ", "constant", " ", "*", " ", "mass", " ", "of", " ",
        "planet", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"km", "^", "3"}], "/", 
         RowBox[{"s", "^", "2"}]}], ")"}], "\n", " ", "rp"}], "   ", "=", " ", 
      RowBox[{
       RowBox[{"radius", " ", "of", " ", "planet", " ", 
        RowBox[{"(", "km", ")"}], "\n", " ", "as"}], "   ", "=", " ", 
       RowBox[{
        RowBox[{
        "semimajor", " ", "axis", " ", "of", " ", "perturbing", " ", 
         "satellite", " ", 
         RowBox[{"(", "km", ")"}], "\n", " ", "ns"}], "   ", "=", " ", 
        RowBox[{
         RowBox[{
         "mean", " ", "motion", " ", "of", " ", "perturbing", " ", 
          "satellite", " ", 
          RowBox[{"(", 
           RowBox[{"deg", "/", "d"}], ")"}], "\n", " ", "cpds"}], " ", "=", 
         " ", 
         RowBox[{
          RowBox[{
          "rate", " ", "of", " ", "change", " ", "of", " ", "pericentre", " ",
            "of", " ", "satellite", " ", 
           RowBox[{"(", 
            RowBox[{"deg", "/", "d"}], ")"}], "\n", " ", "omds"}], " ", "=", 
          " ", 
          RowBox[{
           RowBox[{
           "rate", " ", "of", " ", "change", " ", "of", " ", "node", " ", 
            "of", " ", "satellite", " ", 
            RowBox[{"(", 
             RowBox[{"deg", "/", "d"}], ")"}], "\n", " ", "ms"}], "   ", "=", 
           " ", 
           RowBox[{
            RowBox[{
            "mass", " ", "of", " ", "satellite", " ", "in", " ", "units", " ",
              "of", " ", 
             RowBox[{"planet", "'"}], "s", " ", "mass", "\n", " ", "es"}], 
            "   ", "=", " ", 
            RowBox[{
             RowBox[{
             "eccentricity", " ", "of", " ", "satellite", "\n", " ", "is"}], 
             "   ", "=", " ", 
             RowBox[{
              RowBox[{"inclination", " ", "of", " ", "satellite", " ", 
               RowBox[{"(", "deg", ")"}], "\n", " ", "j2"}], "   ", "=", " ", 
              
              RowBox[{
               RowBox[{"J2", " ", "of", " ", "planet", "\n", " ", "j4"}], 
               "   ", "=", " ", 
               RowBox[{
                RowBox[{"J4", " ", "of", " ", "planet", "\n", " ", "arg"}], 
                "  ", "=", " ", 
                RowBox[{"resonant", " ", "argument"}]}]}]}]}]}]}]}]}]}]}]}]}],
     ",", " ", 
    RowBox[{
     RowBox[{"i", ".", "e", ".", " ", "the"}], " ", "coefficients", " ", "of",
      "\n", "        ", 
     RowBox[{"lambda", "'"}]}], ",", " ", "lambda", ",", " ", 
    RowBox[{"curly", " ", 
     RowBox[{"pi", "'"}]}], ",", " ", 
    RowBox[{"curly", " ", "pi"}], ",", " ", 
    RowBox[{"Omega", "'"}], ",", "\n", "        ", "Omega", ",", " ", 
    RowBox[{
     RowBox[{"given", " ", "as", " ", "a", " ", "list", "\n", " ", "inner"}], 
     "=", " ", 
     RowBox[{
     "denotes", " ", "if", " ", "resonance", " ", "is", " ", "interior", " ", 
      
      RowBox[{"(", 
       RowBox[{"inner", "=", "1"}], ")"}], "\n", "        ", "or", " ", 
      "exterior", " ", 
      RowBox[{"(", 
       RowBox[{"inner", "=", "0"}], ")"}]}]}]}], "\n", "*)"}], "\n", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"ratio", "=", 
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"arg", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "/", 
         RowBox[{"arg", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ",", " ", 
      RowBox[{"fact", "=", 
       RowBox[{"60", "*", "60", "*", "24"}]}]}], "}"}], ",", "\n", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"inner", "==", "1"}], ",", " ", 
       RowBox[{"n0", " ", "=", " ", 
        RowBox[{"ns", "*", "ratio"}]}], ",", " ", 
       RowBox[{"n0", " ", "=", " ", 
        RowBox[{"ns", "/", "ratio"}]}]}], "]"}], ";", "\n", 
     RowBox[{"a0", " ", "=", " ", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"gm", "*", "fact", "*", 
          RowBox[{"fact", "/", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"n0", " ", "Degree"}], ")"}], "^", "2"}]}]}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", "3"}], ")"}]}], "]"}]}], ";", "\n", 
     RowBox[{"n", " ", "=", " ", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Sqrt", "[", 
           RowBox[{"gm", "/", 
            RowBox[{"a", "^", "3"}]}], "]"}], "/", "Degree"}], ")"}], "*", 
        "fact", "*", "\n", "     ", 
        RowBox[{"(", 
         RowBox[{"1", " ", "+", " ", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"3", "/", "4"}], ")"}], "*", "j2", "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"rp", "/", "a"}], ")"}], "^", "2"}]}], "\n", "      ", 
          "-", " ", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"9", "/", "32"}], ")"}], "*", 
              RowBox[{"j2", "^", "2"}]}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"15", "/", "16"}], ")"}], "*", "j4"}]}], ")"}], "*", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"rp", "/", "a"}], ")"}], "^", "4"}]}]}], ")"}]}], 
       "]"}]}], ";", "\n", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"inner", "==", "1"}], ",", "\n", 
       RowBox[{"seccpdot", " ", "=", " ", 
        RowBox[{"N", "[", 
         RowBox[{"ms", "*", "n", "*", 
          RowBox[{"(", 
           RowBox[{"a", "/", "as"}], ")"}], "*", "0.25", "*", 
          RowBox[{"(", "\n", "    ", 
           RowBox[{
            RowBox[{"2", "*", 
             RowBox[{"(", 
              RowBox[{"a", "/", "as"}], ")"}], "*", 
             RowBox[{"LaplaceCoefficient", "[", 
              RowBox[{
               RowBox[{"1", "/", "2"}], ",", " ", "0", ",", " ", 
               RowBox[{"a", "/", "as"}], ",", " ", "1"}], "]"}]}], "+", "\n", 
            "    ", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"a", "/", "as"}], ")"}], "^", "2"}], "*", 
             RowBox[{"LaplaceCoefficient", "[", 
              RowBox[{
               RowBox[{"1", "/", "2"}], ",", " ", "0", ",", " ", 
               RowBox[{"a", "/", "as"}], ",", " ", "2"}], "]"}]}]}], ")"}]}], 
         "]"}]}], ",", "\n", 
       RowBox[{"seccpdot", " ", "=", " ", 
        RowBox[{"N", "[", 
         RowBox[{"ms", "*", "n", "*", 
          RowBox[{"(", 
           RowBox[{"as", "/", "a"}], ")"}], "*", "0.25", "*", 
          RowBox[{"(", "\n", "    ", 
           RowBox[{
            RowBox[{"2", "*", 
             RowBox[{"(", 
              RowBox[{"as", "/", "a"}], ")"}], "*", 
             RowBox[{"LaplaceCoefficient", "[", 
              RowBox[{
               RowBox[{"1", "/", "2"}], ",", " ", "0", ",", " ", 
               RowBox[{"as", "/", "a"}], ",", " ", "1"}], "]"}]}], "+", "\n", 
            "    ", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"as", "/", "a"}], ")"}], "^", "2"}], "*", 
             RowBox[{"LaplaceCoefficient", "[", 
              RowBox[{
               RowBox[{"1", "/", "2"}], ",", " ", "0", ",", " ", 
               RowBox[{"as", "/", "a"}], ",", " ", "2"}], "]"}]}]}], ")"}]}], 
         "]"}]}]}], "\n", "]"}], ";", "\n", 
     RowBox[{"cpdot", " ", "=", "  ", 
      RowBox[{
       RowBox[{"N", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Sqrt", "[", 
            RowBox[{"gm", "/", 
             RowBox[{"a", "^", "3"}]}], "]"}], "/", "Degree"}], ")"}], "*", 
         "fact", "*", "\n", "          ", 
         RowBox[{"(", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"3", "/", "2"}], ")"}], "*", "j2", "*", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"rp", "/", "a"}], ")"}], "^", "2"}]}], "\n", 
           "           ", "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"15", "/", "4"}], ")"}], "*", "j4", "*", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"rp", "/", "a"}], ")"}], "^", "4"}]}]}], ")"}]}], "]"}],
        " ", "+", " ", "seccpdot"}]}], ";", "\n", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"inner", "==", "1"}], ",", "\n", 
       RowBox[{"secomdot", " ", "=", " ", 
        RowBox[{"N", "[", 
         RowBox[{
          RowBox[{"-", "ms"}], "*", "n", "*", 
          RowBox[{"(", 
           RowBox[{"a", "/", "as"}], ")"}], "*", "0.5", "*", 
          RowBox[{"(", "\n", "    ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"a", "/", "as"}], ")"}], "*", 
            RowBox[{"LaplaceCoefficient", "[", 
             RowBox[{
              RowBox[{"3", "/", "2"}], ",", " ", "1", ",", " ", 
              RowBox[{"a", "/", "as"}], ",", " ", "0"}], "]"}]}], ")"}]}], 
         "]"}]}], ",", "\n", 
       RowBox[{"secomdot", " ", "=", " ", 
        RowBox[{"N", "[", 
         RowBox[{
          RowBox[{"-", "ms"}], "*", "n", "*", 
          RowBox[{"(", 
           RowBox[{"as", "/", "a"}], ")"}], "*", "0.5", "*", 
          RowBox[{"(", "\n", "    ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"as", "/", "a"}], ")"}], "*", 
            RowBox[{"LaplaceCoefficient", "[", 
             RowBox[{
              RowBox[{"3", "/", "2"}], ",", " ", "1", ",", " ", 
              RowBox[{"as", "/", "a"}], ",", " ", "0"}], "]"}]}], ")"}]}], 
         "]"}]}]}], "\n", "]"}], ";", "\n", 
     RowBox[{"omdot", " ", "=", " ", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"N", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Sqrt", "[", 
             RowBox[{"gm", "/", 
              RowBox[{"a", "^", "3"}]}], "]"}], "/", "Degree"}], ")"}], "*", 
          "fact", "*", "\n", "          ", 
          RowBox[{"(", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"3", "/", "2"}], ")"}], "*", "j2", "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"rp", "/", "a"}], ")"}], "^", "2"}]}], "\n", 
            "        ", "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"9", "/", "4"}], ")"}], "*", "j2", "*", "j2"}], "+", 
               
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"15", "/", "4"}], ")"}], "*", "j4"}]}], ")"}], "*", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"rp", "/", "a"}], ")"}], "^", "4"}]}]}], ")"}]}], 
         "]"}]}], " ", "+", " ", "secomdot"}]}], ";", "\n", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"inner", "==", "1"}], ",", "\n", 
       RowBox[{"ares", " ", "=", " ", 
        RowBox[{"a", " ", "/.", " ", 
         RowBox[{"FindRoot", "[", "\n", "         ", 
          RowBox[{
           RowBox[{
            RowBox[{"arg", ".", 
             RowBox[{"{", 
              RowBox[{
              "ns", ",", " ", "n", ",", " ", "cpds", ",", " ", "cpdot", ",", 
               " ", "omds", ",", " ", "omdot"}], "}"}]}], "==", "0"}], ",", 
           "\n", "         ", 
           RowBox[{"{", 
            RowBox[{"a", ",", " ", "a0"}], "}"}]}], "]"}]}]}], ",", "\n", 
       RowBox[{"ares", " ", "=", " ", 
        RowBox[{"a", " ", "/.", " ", 
         RowBox[{"FindRoot", "[", "\n", "         ", 
          RowBox[{
           RowBox[{
            RowBox[{"arg", ".", 
             RowBox[{"{", 
              RowBox[{
              "n", ",", " ", "ns", ",", " ", "cpdot", ",", " ", "cpds", ",", 
               " ", "omdot", ",", " ", "omds"}], "}"}]}], "==", "0"}], ",", 
           "\n", "         ", 
           RowBox[{"{", 
            RowBox[{"a", ",", " ", "a0"}], "}"}]}], "]"}]}]}]}], "]"}], ";", 
     "\n", 
     RowBox[{"nres", " ", "=", " ", 
      RowBox[{"n", " ", "/.", " ", 
       RowBox[{"a", "->", "ares"}]}]}], ";", "\n", 
     RowBox[{"{", 
      RowBox[{"inner", ",", " ", "arg", ",", " ", "nres", ",", " ", "ares"}], 
      "}"}]}]}], "\n", "]"}]}]], "Input",
 CellChangeTimes->{{3.8814012307436657`*^9, 3.8814012307484837`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"c1bd66de-44c1-4614-9c12-bd9595c4bb78"],

Cell["\<\
Set the colours for the lines denoting the Mimas and Tethys resonances.\
\>", "Text",
 CellFrame->True,
 CellChangeTimes->{{3.8706886125517807`*^9, 3.8706886208470783`*^9}, {
  3.879326645518285*^9, 3.879326704748672*^9}, {3.879335103599725*^9, 
  3.879335199480815*^9}, {3.881407307594336*^9, 3.881407326537808*^9}},
 Background->GrayLevel[
  0.849989],ExpressionUUID->"9d3803e8-49b4-4705-8cf3-b4cfa0870999"],

Cell[BoxData[
 RowBox[{
  RowBox[{"color1", "=", 
   RowBox[{"RGBColor", "[", 
    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.8706884723044577`*^9, 3.8706884767572603`*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"c3385d47-56ca-4ad4-86a9-918643f71be4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"color2", "=", 
   RowBox[{"RGBColor", "[", 
    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.870688484124298*^9, 3.870688503351976*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"b06f92f0-a6c3-4bdb-b4f4-fc519e2a6408"],

Cell["Define the resonant arguments of interest for Mimas.", "Text",
 CellFrame->True,
 CellChangeTimes->{{3.881401521232307*^9, 3.8814015231668253`*^9}},
 Background->GrayLevel[
  0.849989],ExpressionUUID->"84f677ed-d96c-4cf8-93e9-ba59e3d05207"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"resargMimas", " ", "=", " ", "\n", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"6", ",", 
      RowBox[{"-", "4"}], ",", 
      RowBox[{"-", "2"}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"6", ",", 
      RowBox[{"-", "4"}], ",", 
      RowBox[{"-", "1"}], ",", 
      RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"6", ",", 
      RowBox[{"-", "4"}], ",", "0", ",", 
      RowBox[{"-", "2"}], ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"6", ",", 
      RowBox[{"-", "4"}], ",", "0", ",", "0", ",", 
      RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"6", ",", 
      RowBox[{"-", "4"}], ",", "0", ",", "0", ",", 
      RowBox[{"-", "1"}], ",", 
      RowBox[{"-", "1"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"6", ",", 
      RowBox[{"-", "4"}], ",", "0", ",", "0", ",", "0", ",", 
      RowBox[{"-", "2"}]}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.881401396116907*^9, 3.881401445842111*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"c43e5a5d-3ecb-4c48-a6f5-978d5f7749f5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"6", ",", 
     RowBox[{"-", "4"}], ",", 
     RowBox[{"-", "2"}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", 
     RowBox[{"-", "4"}], ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", 
     RowBox[{"-", "4"}], ",", "0", ",", 
     RowBox[{"-", "2"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", 
     RowBox[{"-", "4"}], ",", "0", ",", "0", ",", 
     RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", 
     RowBox[{"-", "4"}], ",", "0", ",", "0", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", 
     RowBox[{"-", "4"}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{"-", "2"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.881401450205805*^9, 3.881410492682067*^9, 
  3.8814743778382072`*^9, 3.890981658166224*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"0e10a9a8-14f5-4bc4-86ee-74a307d003f9"]
}, Open  ]],

Cell["\<\
Calculate the mean motion at the resonance and the corresponding resonant \
semi-major axis.  We are using Mimas as the perturber.\
\>", "Text",
 CellFrame->True,
 Background->GrayLevel[
  0.849989],ExpressionUUID->"4f24001c-9bf6-4da7-8c92-ec2fa494e8d3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"resultsMimas", " ", "=", "\n", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Resonance", "[", 
      RowBox[{
       RowBox[{"3.793120706", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", "7", ")"}]}]}], ",", " ", "60330", ",", " ", "185538.0",
        ",", " ", "381.9882506", ",", " ", "1.00077", ",", " ", 
       RowBox[{"-", "0.999488"}], ",", " ", 
       RowBox[{"6.46", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "8"}], ")"}]}]}], ",", " ", "0.02014", ",", " ", 
       "1.585", ",", " ", 
       RowBox[{"1.6290847", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "2"}], ")"}]}]}], ",", " ", 
       RowBox[{
        RowBox[{"-", "9.336977"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "4"}], ")"}]}]}], ",", "  ", "#", ",", "1"}], "]"}], 
     "&"}], ",", " ", "resargMimas"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.881401462793065*^9, 3.88140148151112*^9}, {
  3.88140426574302*^9, 3.881404289444251*^9}, {3.881404481954088*^9, 
  3.8814045138892527`*^9}, {3.8814046647302113`*^9, 3.881404682428845*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"946b49f3-1994-4f28-8c49-babb3b26de0d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", 
       RowBox[{"-", "4"}], ",", 
       RowBox[{"-", "2"}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     "572.4819909000001`", ",", "141762.97143052693`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", 
       RowBox[{"-", "4"}], ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
     "572.0848564865788`", ",", "141828.3735505319`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", 
       RowBox[{"-", "4"}], ",", "0", ",", 
       RowBox[{"-", "2"}], ",", "0", ",", "0"}], "}"}], ",", 
     "571.6898307371607`", ",", "141893.5036090026`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", 
       RowBox[{"-", "4"}], ",", "0", ",", "0", ",", 
       RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", "573.4821199000002`", ",", 
     "141598.5999977709`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", 
       RowBox[{"-", "4"}], ",", "0", ",", "0", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", "573.8815707214699`", ",", 
     "141533.08377441077`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", 
       RowBox[{"-", "4"}], ",", "0", ",", "0", ",", "0", ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", "574.283162093354`", ",", 
     "141467.29313440996`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.881401456606577*^9, 3.881401482743801*^9}, 
   3.881404721373699*^9, 3.881410492728022*^9, 3.8814743778806763`*^9, 
   3.89098165820236*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"53be6b94-a920-4ddd-a3a7-031c328963cf"]
}, Open  ]],

Cell["Sort the Mimas results by semi-major axis.", "Text",
 CellFrame->True,
 CellChangeTimes->{{3.881401640796619*^9, 3.881401642011488*^9}},
 Background->GrayLevel[
  0.849989],ExpressionUUID->"48f01e58-7ca7-44d6-8634-08c7ccfa9b56"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sresultsMimas", "=", 
  RowBox[{"Sort", "[", 
   RowBox[{"resultsMimas", ",", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"#2", "[", 
        RowBox[{"[", "4", "]"}], "]"}], ">", 
       RowBox[{"#1", "[", 
        RowBox[{"[", "4", "]"}], "]"}]}], ")"}], "&"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.881401486416676*^9, 3.881401487226427*^9}, {
  3.881401683608206*^9, 3.881401716817129*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"4213fdc5-f2fe-4cac-8fe1-74e3cfb744ca"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", 
       RowBox[{"-", "4"}], ",", "0", ",", "0", ",", "0", ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", "574.283162093354`", ",", 
     "141467.29313440996`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", 
       RowBox[{"-", "4"}], ",", "0", ",", "0", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", "573.8815707214699`", ",", 
     "141533.08377441077`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", 
       RowBox[{"-", "4"}], ",", "0", ",", "0", ",", 
       RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", "573.4821199000002`", ",", 
     "141598.5999977709`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", 
       RowBox[{"-", "4"}], ",", 
       RowBox[{"-", "2"}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     "572.4819909000001`", ",", "141762.97143052693`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", 
       RowBox[{"-", "4"}], ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
     "572.0848564865788`", ",", "141828.3735505319`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", 
       RowBox[{"-", "4"}], ",", "0", ",", 
       RowBox[{"-", "2"}], ",", "0", ",", "0"}], "}"}], ",", 
     "571.6898307371607`", ",", "141893.5036090026`"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.881401488064342*^9, {3.881401690279951*^9, 3.881401718537369*^9}, 
   3.8814104927478123`*^9, 3.881474377894758*^9, 3.890981658219893*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"f320e734-25cc-4e92-af54-4d4c19c639eb"]
}, Open  ]],

Cell["Select just the semi-major axes of the Mimas resonances.", "Text",
 CellFrame->True,
 CellChangeTimes->{{3.881401648056449*^9, 3.8814016731967783`*^9}},
 Background->GrayLevel[
  0.849989],ExpressionUUID->"e56cc319-87b4-42b1-8fdb-b6da37f55318"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"smaMimas", "=", 
  RowBox[{
   RowBox[{"Transpose", "[", "sresultsMimas", "]"}], "[", 
   RowBox[{"[", "4", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.881401722715735*^9, 3.8814017718371553`*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"8e24a9ea-f17e-4b50-94bf-ff82e676143b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "141467.29313440996`", ",", "141533.08377441077`", ",", 
   "141598.5999977709`", ",", "141762.97143052693`", ",", 
   "141828.3735505319`", ",", "141893.5036090026`"}], "}"}]], "Output",
 CellChangeTimes->{{3.881401736059046*^9, 3.8814017748018923`*^9}, 
   3.881410492790468*^9, 3.88147437792997*^9, 3.890981658251411*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"89106d4d-cfc3-4a05-8be8-dc05ffc69ab6"]
}, Open  ]],

Cell["\<\
Define the type of resonance.  This will appear above the line denoting the \
Mimas resonance location.\
\>", "Text",
 CellFrame->True,
 CellChangeTimes->{{3.881401648056449*^9, 3.8814016731967783`*^9}, {
  3.881406504500368*^9, 3.881406536075409*^9}},
 Background->GrayLevel[
  0.849989],ExpressionUUID->"16c3fc9b-c7e7-43a0-953b-3a283c86edd0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"restypeMimas", "=", 
  RowBox[{"{", 
   RowBox[{"\"\<\!\(\*TemplateBox[<|\"boxes\" -> FormBox[
SuperscriptBox[
StyleBox[\"I\", \"TI\"], \"2\"], TraditionalForm], \"errors\" -> {}, \
\"input\" -> \"I^2\", \"state\" -> \
\"Boxes\"|>,\"TeXAssistantTemplate\"]\)\>\"", ",", 
    "\"\<\!\(\*TemplateBox[<|\"boxes\" -> FormBox[
RowBox[{
StyleBox[\"I\", \"TI\"], 
SuperscriptBox[
StyleBox[\"I\", \"TI\"], \"\[Prime]\"]}], TraditionalForm], \"errors\" -> {}, \
\"input\" -> \"II'\", \"state\" -> \
\"Boxes\"|>,\"TeXAssistantTemplate\"]\)\>\"", ",", 
    "\"\<\!\(\*TemplateBox[<|\"boxes\" -> FormBox[
SuperscriptBox[
StyleBox[\"I\", \"TI\"], 
RowBox[{\"\[Prime]\", \"2\"}]], TraditionalForm], \"errors\" -> {}, \"input\" \
-> \"I'^2\", \"state\" -> \"Boxes\"|>,\"TeXAssistantTemplate\"]\)\>\"", ",", 
    "\"\<\!\(\*TemplateBox[<|\"boxes\" -> FormBox[
SuperscriptBox[
StyleBox[\"e\", \"TI\"], 
RowBox[{\"\[Prime]\", \"2\"}]], TraditionalForm], \"errors\" -> {}, \"input\" \
-> \"e'^2\", \"state\" -> \"Boxes\"|>,\"TeXAssistantTemplate\"]\)\>\"", ",", 
    "\"\<\!\(\*TemplateBox[<|\"boxes\" -> FormBox[
RowBox[{
StyleBox[\"e\", \"TI\"], 
SuperscriptBox[
StyleBox[\"e\", \"TI\"], \"\[Prime]\"]}], TraditionalForm], \"errors\" -> {}, \
\"input\" -> \"ee'\", \"state\" -> \
\"Boxes\"|>,\"TeXAssistantTemplate\"]\)\>\"", ",", 
    "\"\<\!\(\*TemplateBox[<|\"boxes\" -> FormBox[
SuperscriptBox[
StyleBox[\"e\", \"TI\"], \"2\"], TraditionalForm], \"errors\" -> {}, \
\"input\" -> \"e^2\", \"state\" -> \
\"Boxes\"|>,\"TeXAssistantTemplate\"]\)\>\""}], "}"}]}]], "Input",
 CellChangeTimes->{{3.881401782865096*^9, 3.8814018927691917`*^9}, {
  3.881405048119153*^9, 3.881405049032495*^9}, {3.8814064644514017`*^9, 
  3.881406466415415*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"7e336d84-58c4-4302-b7ef-43d17433c4e5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"I\\\", \\\"TI\\\"], \\\"2\\\"], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"I^2\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", 
   ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[RowBox[{StyleBox[\\\"I\\\", \\\"TI\\\"], \
SuperscriptBox[StyleBox[\\\"I\\\", \\\"TI\\\"], \\\"\[Prime]\\\"]}], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"II'\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", 
   ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"I\\\", \\\"TI\\\"], \
RowBox[{\\\"\[Prime]\\\", \\\"2\\\"}]], TraditionalForm], \\\"errors\\\" -> \
{}, \\\"input\\\" -> \\\"I'^2\\\", \\\"state\\\" -> \
\\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", 
   ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"e\\\", \\\"TI\\\"], \
RowBox[{\\\"\[Prime]\\\", \\\"2\\\"}]], TraditionalForm], \\\"errors\\\" -> \
{}, \\\"input\\\" -> \\\"e'^2\\\", \\\"state\\\" -> \
\\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", 
   ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[RowBox[{StyleBox[\\\"e\\\", \\\"TI\\\"], \
SuperscriptBox[StyleBox[\\\"e\\\", \\\"TI\\\"], \\\"\[Prime]\\\"]}], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"ee'\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", 
   ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"e\\\", \\\"TI\\\"], \\\"2\\\"], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"e^2\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.881401847293091*^9, 3.881401905346045*^9}, 
   3.881405050159812*^9, 3.88140646776005*^9, 3.881407109735022*^9, 
   3.8814104928126802`*^9, 3.8814743779451113`*^9, 3.8909816588650703`*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"45732e52-1148-4ef9-afd6-24951380aa03"]
}, Open  ]],

Cell["\<\
Combine the semi-major axis with the resonance type for Mimas.\
\>", "Text",
 CellFrame->True,
 CellChangeTimes->{{3.881401648056449*^9, 3.8814016731967783`*^9}, {
  3.881406504500368*^9, 3.881406536075409*^9}, {3.8814102545060062`*^9, 
  3.881410273376649*^9}},
 Background->GrayLevel[
  0.849989],ExpressionUUID->"ed80d338-1592-4bca-91cd-3cfca8cbdace"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"raMimas", "=", 
  RowBox[{"Transpose", "[", 
   RowBox[{"{", 
    RowBox[{"smaMimas", ",", "restypeMimas"}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.881401922588751*^9, 3.8814019628620453`*^9}, {
  3.881405054133477*^9, 3.8814050551824417`*^9}, {3.881407408859838*^9, 
  3.881407409654202*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"a58f059f-9fa0-46d1-a467-8bd434f7e95b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "141467.29313440996`", 
     ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"I\\\", \\\"TI\\\"], \\\"2\\\"], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"I^2\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "141533.08377441077`", 
     ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[RowBox[{StyleBox[\\\"I\\\", \\\"TI\\\"], \
SuperscriptBox[StyleBox[\\\"I\\\", \\\"TI\\\"], \\\"\[Prime]\\\"]}], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"II'\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "141598.5999977709`", 
     ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"I\\\", \\\"TI\\\"], \
RowBox[{\\\"\[Prime]\\\", \\\"2\\\"}]], TraditionalForm], \\\"errors\\\" -> \
{}, \\\"input\\\" -> \\\"I'^2\\\", \\\"state\\\" -> \
\\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "141762.97143052693`", 
     ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"e\\\", \\\"TI\\\"], \
RowBox[{\\\"\[Prime]\\\", \\\"2\\\"}]], TraditionalForm], \\\"errors\\\" -> \
{}, \\\"input\\\" -> \\\"e'^2\\\", \\\"state\\\" -> \
\\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "141828.3735505319`", 
     ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[RowBox[{StyleBox[\\\"e\\\", \\\"TI\\\"], \
SuperscriptBox[StyleBox[\\\"e\\\", \\\"TI\\\"], \\\"\[Prime]\\\"]}], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"ee'\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "141893.5036090026`", 
     ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"e\\\", \\\"TI\\\"], \\\"2\\\"], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"e^2\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>"}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.881401938258247*^9, 3.881401964222437*^9}, 
   3.881405056220069*^9, 3.8814074105323*^9, 3.88141049286383*^9, 
   3.881474377990986*^9, 3.8909816589957333`*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"4b0c1a01-5946-4617-93cf-ef53484e5624"]
}, Open  ]],

Cell["Define the resonant arguments of interest for Tethys.", "Text",
 CellFrame->True,
 CellChangeTimes->{{3.881401521232307*^9, 3.8814015415564613`*^9}},
 Background->GrayLevel[
  0.849989],ExpressionUUID->"b0bdad14-024a-43de-bcb2-1aad9512ae4f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"resargTethys", " ", "=", " ", "\n", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"3", ",", 
      RowBox[{"-", "1"}], ",", 
      RowBox[{"-", "2"}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", 
      RowBox[{"-", "1"}], ",", 
      RowBox[{"-", "1"}], ",", 
      RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"3", ",", 
      RowBox[{"-", "1"}], ",", "0", ",", 
      RowBox[{"-", "2"}], ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", 
      RowBox[{"-", "1"}], ",", "0", ",", "0", ",", 
      RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", 
      RowBox[{"-", "1"}], ",", "0", ",", "0", ",", 
      RowBox[{"-", "1"}], ",", 
      RowBox[{"-", "1"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", 
      RowBox[{"-", "1"}], ",", "0", ",", "0", ",", "0", ",", 
      RowBox[{"-", "2"}]}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.8814015683318043`*^9, 3.881401605652451*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"5ff46524-706e-4bdf-9284-7bd442aaca71"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"3", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "2"}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", 
     RowBox[{"-", "1"}], ",", "0", ",", 
     RowBox[{"-", "2"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", 
     RowBox[{"-", "1"}], ",", "0", ",", "0", ",", 
     RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", 
     RowBox[{"-", "1"}], ",", "0", ",", "0", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", 
     RowBox[{"-", "1"}], ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{"-", "2"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.881401608600688*^9, 3.881401971993882*^9, 
  3.881410492895664*^9, 3.881474378017275*^9, 3.8909816590322123`*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"b85e5802-f3c5-42df-9390-38ab43362a0a"]
}, Open  ]],

Cell["\<\
Calculate the mean motion at the resonance and the corresponding resonant \
semi-major axis.  We are using Tethys as the perturber.\
\>", "Text",
 CellFrame->True,
 CellChangeTimes->{{3.881401993955802*^9, 3.8814019954565563`*^9}},
 Background->GrayLevel[
  0.849989],ExpressionUUID->"6c219b66-77b2-473f-ad1e-b1060cc55d3e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"resultsTethys", " ", "=", "\n", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Resonance", "[", 
      RowBox[{
       RowBox[{"3.79312", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", "7", ")"}]}]}], ",", " ", "60330", ",", " ", "294670.0",
        ",", " ", "190.701366", ",", " ", "0.191732", ",", " ", 
       RowBox[{"-", "0.197769"}], ",", " ", 
       RowBox[{"1.076", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "6"}], ")"}]}]}], ",", "0.000100", ",", " ", "1.0895", 
       ",", " ", 
       RowBox[{"1.6297", "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "2"}], ")"}]}]}], ",", " ", 
       RowBox[{
        RowBox[{"-", "9.10"}], "*", 
        RowBox[{"10", "^", 
         RowBox[{"(", 
          RowBox[{"-", "4"}], ")"}]}]}], ",", "  ", "#", ",", "1"}], "]"}], 
     "&"}], ",", " ", "resargTethys"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.881402029762154*^9, 3.881402032746122*^9}, {
  3.881403982526475*^9, 3.881403990461916*^9}, {3.881404784025476*^9, 
  3.881404798500649*^9}, {3.881404843816658*^9, 3.8814049231508417`*^9}, {
  3.881404989932166*^9, 3.88140502024708*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"82582811-2b6c-4bef-8e62-3773c3325f2a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "2"}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     "571.7206339999999`", ",", "141888.42343381772`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
     "569.3527945267797`", ",", "142280.36708272016`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", 
       RowBox[{"-", "1"}], ",", "0", ",", 
       RowBox[{"-", "2"}], ",", "0", ",", "0"}], "}"}], ",", 
     "567.0339967090688`", ",", "142666.83808407022`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", 
       RowBox[{"-", "1"}], ",", "0", ",", "0", ",", 
       RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", "572.499636`", ",", 
     "141760.06842184378`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", 
       RowBox[{"-", "1"}], ",", "0", ",", "0", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", "574.9094839817031`", ",", 
     "141364.83993703342`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", 
       RowBox[{"-", "1"}], ",", "0", ",", "0", ",", "0", ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", "577.3720578392977`", ",", 
     "140963.80991048817`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.881405021681629*^9, 3.881410492934236*^9, 
  3.881474378051655*^9, 3.890981659079184*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"4e55d444-593b-411e-affb-41c33dd27014"]
}, Open  ]],

Cell["Sort the Tethys results by semi-major axis.", "Text",
 CellFrame->True,
 CellChangeTimes->{{3.881401640796619*^9, 3.881401642011488*^9}, {
  3.881405099657085*^9, 3.8814051006460953`*^9}},
 Background->GrayLevel[
  0.849989],ExpressionUUID->"6d850711-21a0-4fc5-a6ba-8bd231e42e74"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sresultsTethys", "=", 
  RowBox[{"Sort", "[", 
   RowBox[{"resultsTethys", ",", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"#2", "[", 
        RowBox[{"[", "4", "]"}], "]"}], ">", 
       RowBox[{"#1", "[", 
        RowBox[{"[", "4", "]"}], "]"}]}], ")"}], "&"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.881401486416676*^9, 3.881401487226427*^9}, {
  3.881401683608206*^9, 3.881401716817129*^9}, {3.881405079978058*^9, 
  3.8814050887667913`*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"b1eef7fc-6399-4e74-8788-6db95cb05162"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", 
       RowBox[{"-", "1"}], ",", "0", ",", "0", ",", "0", ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", "577.3720578392977`", ",", 
     "140963.80991048817`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", 
       RowBox[{"-", "1"}], ",", "0", ",", "0", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", "574.9094839817031`", ",", 
     "141364.83993703342`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", 
       RowBox[{"-", "1"}], ",", "0", ",", "0", ",", 
       RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", "572.499636`", ",", 
     "141760.06842184378`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "2"}], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     "571.7206339999999`", ",", "141888.42343381772`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
     "569.3527945267797`", ",", "142280.36708272016`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", 
       RowBox[{"-", "1"}], ",", "0", ",", 
       RowBox[{"-", "2"}], ",", "0", ",", "0"}], "}"}], ",", 
     "567.0339967090688`", ",", "142666.83808407022`"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.881405090370928*^9, 3.881410492951968*^9, 
  3.881474378063394*^9, 3.890981659094902*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"0fbc46b0-d61a-4bd5-9ead-df0a8fa645e7"]
}, Open  ]],

Cell["Select just the semi-major axes of the Tethys resonances.", "Text",
 CellFrame->True,
 CellChangeTimes->{{3.881401648056449*^9, 3.8814016731967783`*^9}, {
  3.8814051249934587`*^9, 3.8814051260420103`*^9}},
 Background->GrayLevel[
  0.849989],ExpressionUUID->"e15badc7-fa74-4ce2-9abe-676a2a4216f9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"smaTethys", "=", 
  RowBox[{
   RowBox[{"Transpose", "[", "sresultsTethys", "]"}], "[", 
   RowBox[{"[", "4", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.881401722715735*^9, 3.8814017718371553`*^9}, {
  3.881405129657591*^9, 3.881405148062114*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"735e9f1c-a376-41a0-b356-744ffcfd6846"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "140963.80991048817`", ",", "141364.83993703342`", ",", 
   "141760.06842184378`", ",", "141888.42343381772`", ",", 
   "142280.36708272016`", ",", "142666.83808407022`"}], "}"}]], "Output",
 CellChangeTimes->{{3.881401736059046*^9, 3.8814017748018923`*^9}, {
   3.8814051401982813`*^9, 3.88140514868325*^9}, 3.881410492988243*^9, 
   3.881474378096776*^9, 3.890981659138688*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"503cc772-a6c4-4299-b5b0-e509fdfc4951"]
}, Open  ]],

Cell["\<\
Define the type of resonance.  This will appear below the line denoting the \
Tethys resonance location.\
\>", "Text",
 CellFrame->True,
 CellChangeTimes->{{3.881401648056449*^9, 3.8814016731967783`*^9}, {
  3.881406504500368*^9, 3.881406536075409*^9}, {3.8814070500098257`*^9, 
  3.881407051374614*^9}, {3.8814102328765373`*^9, 3.881410233701192*^9}},
 Background->GrayLevel[
  0.849989],ExpressionUUID->"b5117038-b119-45f9-b5ac-d52ab4c03b28"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"restypeTethys", "=", 
  RowBox[{"{", 
   RowBox[{"\"\<\!\(\*TemplateBox[<|\"boxes\" -> FormBox[
SuperscriptBox[
StyleBox[\"I\", \"TI\"], \"2\"], TraditionalForm], \"errors\" -> {}, \
\"input\" -> \"I^2\", \"state\" -> \
\"Boxes\"|>,\"TeXAssistantTemplate\"]\)\>\"", ",", 
    "\"\<\!\(\*TemplateBox[<|\"boxes\" -> FormBox[
RowBox[{
StyleBox[\"I\", \"TI\"], 
SuperscriptBox[
StyleBox[\"I\", \"TI\"], \"\[Prime]\[Prime]\"]}], TraditionalForm], \
\"errors\" -> {}, \"input\" -> \"II''\", \"state\" -> \
\"Boxes\"|>,\"TeXAssistantTemplate\"]\)\>\"", ",", 
    "\"\<\!\(\*TemplateBox[<|\"boxes\" -> FormBox[
SuperscriptBox[
StyleBox[\"I\", \"TI\"], 
RowBox[{\"\[Prime]\[Prime]\", \"2\"}]], TraditionalForm], \"errors\" -> {}, \
\"input\" -> \"I''^2\", \"state\" -> \
\"Boxes\"|>,\"TeXAssistantTemplate\"]\)\>\"", ",", 
    "\"\<\!\(\*TemplateBox[<|\"boxes\" -> FormBox[
SuperscriptBox[
StyleBox[\"e\", \"TI\"], 
RowBox[{\"\[Prime]\[Prime]\", \"2\"}]], TraditionalForm], \"errors\" -> {}, \
\"input\" -> \"e''^2\", \"state\" -> \
\"Boxes\"|>,\"TeXAssistantTemplate\"]\)\>\"", ",", 
    "\"\<\!\(\*TemplateBox[<|\"boxes\" -> FormBox[
RowBox[{
StyleBox[\"e\", \"TI\"], 
SuperscriptBox[
StyleBox[\"e\", \"TI\"], \"\[Prime]\[Prime]\"]}], TraditionalForm], \
\"errors\" -> {}, \"input\" -> \"ee''\", \"state\" -> \
\"Boxes\"|>,\"TeXAssistantTemplate\"]\)\>\"", ",", 
    "\"\<\!\(\*TemplateBox[<|\"boxes\" -> FormBox[
SuperscriptBox[
StyleBox[\"e\", \"TI\"], \"2\"], TraditionalForm], \"errors\" -> {}, \
\"input\" -> \"e^2\", \"state\" -> \
\"Boxes\"|>,\"TeXAssistantTemplate\"]\)\>\""}], "}"}]}]], "Input",
 CellChangeTimes->{{3.881401782865096*^9, 3.8814018927691917`*^9}, {
  3.881405048119153*^9, 3.881405049032495*^9}, {3.8814064644514017`*^9, 
  3.881406466415415*^9}, {3.881407095027595*^9, 3.881407097680818*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"e5204415-b473-47f7-bd25-b56f8262dc34"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"I\\\", \\\"TI\\\"], \\\"2\\\"], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"I^2\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", 
   ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[RowBox[{StyleBox[\\\"I\\\", \\\"TI\\\"], \
SuperscriptBox[StyleBox[\\\"I\\\", \\\"TI\\\"], \\\"\[Prime]\[Prime]\\\"]}], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"II''\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", 
   ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"I\\\", \\\"TI\\\"], RowBox[{\\\"\[Prime]\
\[Prime]\\\", \\\"2\\\"}]], TraditionalForm], \\\"errors\\\" -> {}, \\\"input\
\\\" -> \\\"I''^2\\\", \\\"state\\\" -> \
\\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", 
   ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"e\\\", \\\"TI\\\"], RowBox[{\\\"\[Prime]\
\[Prime]\\\", \\\"2\\\"}]], TraditionalForm], \\\"errors\\\" -> {}, \\\"input\
\\\" -> \\\"e''^2\\\", \\\"state\\\" -> \
\\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", 
   ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[RowBox[{StyleBox[\\\"e\\\", \\\"TI\\\"], \
SuperscriptBox[StyleBox[\\\"e\\\", \\\"TI\\\"], \\\"\[Prime]\[Prime]\\\"]}], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"ee''\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", 
   ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"e\\\", \\\"TI\\\"], \\\"2\\\"], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"e^2\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.881401847293091*^9, 3.881401905346045*^9}, 
   3.881405050159812*^9, 3.88140646776005*^9, {3.881407063602194*^9, 
   3.881407098820922*^9}, 3.881407391764491*^9, 3.881410493007625*^9, 
   3.881474378109812*^9, 3.89098165975198*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"e45013d9-f704-4b57-8526-5d1c180c1e66"]
}, Open  ]],

Cell["\<\
Combine the semi-major axis with the resonance type for Tethys.\
\>", "Text",
 CellFrame->True,
 CellChangeTimes->{{3.881401648056449*^9, 3.8814016731967783`*^9}, {
  3.881406504500368*^9, 3.881406536075409*^9}, {3.8814102545060062`*^9, 
  3.8814102945859737`*^9}},
 Background->GrayLevel[
  0.849989],ExpressionUUID->"0bb8c237-4274-41df-9a35-a5dec60dd2ac"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"raTethys", "=", 
  RowBox[{"Transpose", "[", 
   RowBox[{"{", 
    RowBox[{"smaTethys", ",", "restypeTethys"}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.881401922588751*^9, 3.8814019628620453`*^9}, {
  3.881405054133477*^9, 3.8814050551824417`*^9}, {3.8814051582486362`*^9, 
  3.881405167156901*^9}, {3.881407394684732*^9, 3.881407398463291*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"2ebedba8-f4c3-4a90-97e2-7ebec057e403"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "140963.80991048817`", 
     ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"I\\\", \\\"TI\\\"], \\\"2\\\"], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"I^2\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "141364.83993703342`", 
     ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[RowBox[{StyleBox[\\\"I\\\", \\\"TI\\\"], \
SuperscriptBox[StyleBox[\\\"I\\\", \\\"TI\\\"], \\\"\[Prime]\[Prime]\\\"]}], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"II''\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "141760.06842184378`", 
     ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"I\\\", \\\"TI\\\"], RowBox[{\\\"\[Prime]\
\[Prime]\\\", \\\"2\\\"}]], TraditionalForm], \\\"errors\\\" -> {}, \\\"input\
\\\" -> \\\"I''^2\\\", \\\"state\\\" -> \
\\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "141888.42343381772`", 
     ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"e\\\", \\\"TI\\\"], RowBox[{\\\"\[Prime]\
\[Prime]\\\", \\\"2\\\"}]], TraditionalForm], \\\"errors\\\" -> {}, \\\"input\
\\\" -> \\\"e''^2\\\", \\\"state\\\" -> \
\\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "142280.36708272016`", 
     ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[RowBox[{StyleBox[\\\"e\\\", \\\"TI\\\"], \
SuperscriptBox[StyleBox[\\\"e\\\", \\\"TI\\\"], \\\"\[Prime]\[Prime]\\\"]}], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"ee''\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "142666.83808407022`", 
     ",", "\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"e\\\", \\\"TI\\\"], \\\"2\\\"], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"e^2\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>"}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.881401938258247*^9, 3.881401964222437*^9}, 
   3.881405056220069*^9, 3.881405168149432*^9, 3.881407399605034*^9, 
   3.8814104930557327`*^9, 3.881474378154292*^9, 3.890981659816421*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"b23057ab-c6ca-442b-bb66-6fed2cb0b926"]
}, Open  ]],

Cell["\<\
Set up the lines denoting the location of the Mimas resonances and their \
identifications.\
\>", "Text",
 CellFrame->True,
 CellChangeTimes->{{3.881401648056449*^9, 3.8814016731967783`*^9}, {
  3.881406504500368*^9, 3.881406536075409*^9}, {3.8814102545060062`*^9, 
  3.8814102945859737`*^9}, {3.881410331861679*^9, 3.881410373681065*^9}},
 Background->GrayLevel[
  0.849989],ExpressionUUID->"f28596cc-49aa-4f07-b50f-ece34c8ac914"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Mlines", "=", 
   RowBox[{"{", 
    RowBox[{"color1", ",", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"#", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", "1000"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"#", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", "333"}], "}"}]}], "}"}], 
         "]"}], "&"}], ",", "raMimas"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mres", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", "1000"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "]"}], "&"}], ",", "raMimas"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Mplot", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
       RowBox[{"FontSize", "\[Rule]", "10"}], ",", "Mlines", ",", "Mres"}], 
      "}"}], "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.88140533991581*^9, 3.8814053753588448`*^9}, {
   3.881405416684779*^9, 3.881405473939775*^9}, {3.881405675707119*^9, 
   3.8814056898981047`*^9}, {3.8814057508027573`*^9, 3.881405839703538*^9}, {
   3.8814058960153093`*^9, 3.881405917972376*^9}, {3.8814059750424356`*^9, 
   3.881406030810238*^9}, {3.881406255486326*^9, 3.881406271414762*^9}, {
   3.881406388298609*^9, 3.88140639900663*^9}, {3.881407354667197*^9, 
   3.881407365403962*^9}, {3.8814077898563347`*^9, 3.881407793268383*^9}, 
   3.881407835241436*^9, {3.881409532945304*^9, 3.881409536254725*^9}, {
   3.881409578454239*^9, 3.881409578689396*^9}, {3.881409618605748*^9, 
   3.8814096188149147`*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"4869a8cc-f325-4683-8e72-9869dbdb60f4"],

Cell["\<\
Set up the lines denoting the location of the Tethys resonances and their \
identifications.\
\>", "Text",
 CellFrame->True,
 CellChangeTimes->{{3.881401648056449*^9, 3.8814016731967783`*^9}, {
  3.881406504500368*^9, 3.881406536075409*^9}, {3.8814102545060062`*^9, 
  3.8814102945859737`*^9}, {3.881410331861679*^9, 3.881410349635934*^9}, {
  3.881410380897298*^9, 3.881410389883613*^9}},
 Background->GrayLevel[
  0.849989],ExpressionUUID->"08e4a297-b96a-4648-901a-9ccb0cc5d905"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Tlines", "=", 
   RowBox[{"{", 
    RowBox[{"color2", ",", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"#", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", "667"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"#", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", "0"}], "}"}]}], "}"}], 
         "]"}], "&"}], ",", "raTethys"}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tres", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", 
          RowBox[{"-", "250"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "]"}], "&"}], ",", "raTethys"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tplot", "=", 
   RowBox[{"Show", "[", 
    RowBox[{"Graphics", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
       RowBox[{"FontSize", "\[Rule]", "10"}], ",", "Tlines", ",", "Tres"}], 
      "}"}], "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.881406053131565*^9, 3.881406105347645*^9}, {
   3.8814061816690893`*^9, 3.881406209222947*^9}, 3.8814062763659573`*^9, {
   3.881406408473865*^9, 3.881406427324682*^9}, {3.88140736957638*^9, 
   3.881407371928752*^9}, {3.881409510146995*^9, 3.8814095392690897`*^9}, {
   3.881409581379217*^9, 3.881409581629115*^9}, {3.881409623844844*^9, 
   3.881409624004712*^9}, {3.8814096649450817`*^9, 3.8814097695658617`*^9}, {
   3.881474368198577*^9, 3.881474368835306*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"9455f6e2-de9b-4dc2-88be-2f72867b617c"],

Cell["Set up the axis, tick marks, numbers and axis label.", "Text",
 CellFrame->True,
 CellChangeTimes->{{3.881401648056449*^9, 3.8814016731967783`*^9}, {
  3.881406504500368*^9, 3.881406536075409*^9}, {3.8814102545060062`*^9, 
  3.8814102945859737`*^9}, {3.881410331861679*^9, 3.881410349635934*^9}, {
  3.881410380897298*^9, 3.881410427666314*^9}},
 Background->GrayLevel[
  0.849989],ExpressionUUID->"98ecfdd8-8399-420c-be07-056b32d1e0cb"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"axis", "=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"Line", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"140900", ",", 
         RowBox[{"-", "250"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"142700", ",", 
         RowBox[{"-", "250"}]}], "}"}]}], "}"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ticks", "=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"141000", ",", 
           RowBox[{"-", "250"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"141000", ",", 
           RowBox[{"-", "200"}]}], "}"}]}], "}"}], "]"}], ",", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"141500", ",", 
           RowBox[{"-", "250"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"141500", ",", 
           RowBox[{"-", "200"}]}], "}"}]}], "}"}], "]"}], ",", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"142000", ",", 
           RowBox[{"-", "250"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"142000", ",", 
           RowBox[{"-", "200"}]}], "}"}]}], "}"}], "]"}], ",", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"142500", ",", 
           RowBox[{"-", "250"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"142500", ",", 
           RowBox[{"-", "200"}]}], "}"}]}], "}"}], "]"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"numbers", "=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
      RowBox[{"FontSize", "\[Rule]", "14"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<141,000\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"141000", ",", 
          RowBox[{"-", "450"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      
      RowBox[{"Text", "[", 
       RowBox[{"\"\<141,500\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"141500", ",", 
          RowBox[{"-", "450"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      
      RowBox[{"Text", "[", 
       RowBox[{"\"\<142,000\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"142000", ",", 
          RowBox[{"-", "450"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
      
      RowBox[{"Text", "[", 
       RowBox[{"\"\<142,500\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"142500", ",", 
          RowBox[{"-", "450"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
     "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"label", "=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
      RowBox[{"FontSize", "\[Rule]", "16"}], ",", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<Semi-major Axis (km)\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"141800", ",", 
          RowBox[{"-", "600"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "]"}]}], "}"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.881407861661873*^9, 3.881407898150655*^9}, {
  3.881407932712603*^9, 3.881408154969124*^9}, {3.8814081963436613`*^9, 
  3.881408289773769*^9}, {3.881408811854331*^9, 3.881408838763197*^9}, {
  3.881408871707383*^9, 3.8814089238155127`*^9}, {3.881409007398834*^9, 
  3.881409193306797*^9}, {3.881409228261524*^9, 3.88140927771411*^9}, {
  3.881409321036804*^9, 3.881409351887352*^9}, {3.881409393669528*^9, 
  3.8814093952986717`*^9}, {3.881409434452765*^9, 3.881409458870372*^9}, {
  3.88140979107515*^9, 3.881409831576551*^9}, {3.881409933745657*^9, 
  3.881410030855575*^9}, {3.881410090155593*^9, 3.881410094275969*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"2cdefdf9-cab4-40c7-857b-b7a842711a69"],

Cell["Display the final plot.  This is Fig.8.21.", "Text",
 CellFrame->True,
 CellChangeTimes->{{3.881401648056449*^9, 3.8814016731967783`*^9}, {
  3.881406504500368*^9, 3.881406536075409*^9}, {3.8814102545060062`*^9, 
  3.8814102945859737`*^9}, {3.881410331861679*^9, 3.881410349635934*^9}, {
  3.881410380897298*^9, 3.881410455326943*^9}},
 Background->GrayLevel[
  0.849989],ExpressionUUID->"2a5270f6-812e-4836-9668-6ec3589f1524"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
  "Tplot", ",", "Mplot", ",", "axis", ",", "ticks", ",", "numbers", ",", 
   "label", ",", 
   RowBox[{"AspectRatio", "->", "0.3"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.881406151263987*^9, 3.8814061578768578`*^9}, {
  3.881406342096287*^9, 3.881406362074531*^9}, {3.8814076872334538`*^9, 
  3.881407751747612*^9}, {3.881407807099895*^9, 3.881407816307331*^9}, {
  3.8814080852077227`*^9, 3.881408090276187*^9}, {3.881409199921904*^9, 
  3.881409207991043*^9}, {3.881409986052067*^9, 3.881409987519875*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"31460659-bb87-43c8-af67-214ead315ba4"],

Cell[BoxData[
 GraphicsBox[{
   StyleBox[{
     {RGBColor[0.880722, 0.611041, 0.142051], 
      LineBox[{{140963.80991048817`, 667}, {140963.80991048817`, 0}}], 
      LineBox[{{141364.83993703342`, 667}, {141364.83993703342`, 0}}], 
      LineBox[{{141760.06842184378`, 667}, {141760.06842184378`, 0}}], 
      LineBox[{{141888.42343381772`, 667}, {141888.42343381772`, 0}}], 
      LineBox[{{142280.36708272016`, 667}, {142280.36708272016`, 0}}], 
      LineBox[{{142666.83808407022`, 667}, {142666.83808407022`, 0}}]}, {
      InsetBox["\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"I\\\", \\\"TI\\\"], \\\"2\\\"], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"I^2\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", {140963.80991048817, -250},
        NCache[ImageScaled[{Rational[1, 2], 0}], ImageScaled[{0.5, 0}]]], 
      InsetBox["\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[RowBox[{StyleBox[\\\"I\\\", \\\"TI\\\"], \
SuperscriptBox[StyleBox[\\\"I\\\", \\\"TI\\\"], \\\"\[Prime]\[Prime]\\\"]}], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"II''\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", {141364.83993703342, -250},
        NCache[ImageScaled[{Rational[1, 2], 0}], ImageScaled[{0.5, 0}]]], 
      InsetBox["\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"I\\\", \\\"TI\\\"], RowBox[{\\\"\[Prime]\
\[Prime]\\\", \\\"2\\\"}]], TraditionalForm], \\\"errors\\\" -> {}, \\\"input\
\\\" -> \\\"I''^2\\\", \\\"state\\\" -> \
\\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", {141760.06842184378, -250},
        NCache[ImageScaled[{Rational[1, 2], 0}], ImageScaled[{0.5, 0}]]], 
      InsetBox["\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"e\\\", \\\"TI\\\"], RowBox[{\\\"\[Prime]\
\[Prime]\\\", \\\"2\\\"}]], TraditionalForm], \\\"errors\\\" -> {}, \\\"input\
\\\" -> \\\"e''^2\\\", \\\"state\\\" -> \
\\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", {141888.42343381772, -250},
        NCache[ImageScaled[{Rational[1, 2], 0}], ImageScaled[{0.5, 0}]]], 
      InsetBox["\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[RowBox[{StyleBox[\\\"e\\\", \\\"TI\\\"], \
SuperscriptBox[StyleBox[\\\"e\\\", \\\"TI\\\"], \\\"\[Prime]\[Prime]\\\"]}], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"ee''\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", {142280.36708272016, -250},
        NCache[ImageScaled[{Rational[1, 2], 0}], ImageScaled[{0.5, 0}]]], 
      InsetBox["\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"e\\\", \\\"TI\\\"], \\\"2\\\"], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"e^2\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", {142666.83808407022, -250},
        NCache[ImageScaled[{Rational[1, 2], 0}], ImageScaled[{0.5, 0}]]]}},
    FontFamily->"Times",
    FontSize->10], 
   StyleBox[{
     {RGBColor[0.368417, 0.506779, 0.709798], 
      LineBox[{{141467.29313440996`, 1000}, {141467.29313440996`, 333}}], 
      LineBox[{{141533.08377441077`, 1000}, {141533.08377441077`, 333}}], 
      LineBox[{{141598.5999977709, 1000}, {141598.5999977709, 333}}], 
      LineBox[{{141762.97143052693`, 1000}, {141762.97143052693`, 333}}], 
      LineBox[{{141828.3735505319, 1000}, {141828.3735505319, 333}}], 
      LineBox[{{141893.5036090026, 1000}, {141893.5036090026, 333}}]}, {
      InsetBox["\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"I\\\", \\\"TI\\\"], \\\"2\\\"], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"I^2\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", {141467.29313440996, 1000},
        NCache[ImageScaled[{Rational[1, 2], 0}], ImageScaled[{0.5, 0}]]], 
      InsetBox["\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[RowBox[{StyleBox[\\\"I\\\", \\\"TI\\\"], \
SuperscriptBox[StyleBox[\\\"I\\\", \\\"TI\\\"], \\\"\[Prime]\\\"]}], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"II'\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", {141533.08377441077, 1000},
        NCache[ImageScaled[{Rational[1, 2], 0}], ImageScaled[{0.5, 0}]]], 
      InsetBox["\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"I\\\", \\\"TI\\\"], \
RowBox[{\\\"\[Prime]\\\", \\\"2\\\"}]], TraditionalForm], \\\"errors\\\" -> \
{}, \\\"input\\\" -> \\\"I'^2\\\", \\\"state\\\" -> \
\\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", {141598.5999977709, 1000},
        NCache[ImageScaled[{Rational[1, 2], 0}], ImageScaled[{0.5, 0}]]], 
      InsetBox["\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"e\\\", \\\"TI\\\"], \
RowBox[{\\\"\[Prime]\\\", \\\"2\\\"}]], TraditionalForm], \\\"errors\\\" -> \
{}, \\\"input\\\" -> \\\"e'^2\\\", \\\"state\\\" -> \
\\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", {141762.97143052693, 1000},
        NCache[ImageScaled[{Rational[1, 2], 0}], ImageScaled[{0.5, 0}]]], 
      InsetBox["\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[RowBox[{StyleBox[\\\"e\\\", \\\"TI\\\"], \
SuperscriptBox[StyleBox[\\\"e\\\", \\\"TI\\\"], \\\"\[Prime]\\\"]}], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"ee'\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", {141828.3735505319, 1000},
        NCache[ImageScaled[{Rational[1, 2], 0}], ImageScaled[{0.5, 0}]]], 
      InsetBox["\<\"\\!\\(\\*TemplateBox[<|\\\"boxes\\\" -> \
FormBox[SuperscriptBox[StyleBox[\\\"e\\\", \\\"TI\\\"], \\\"2\\\"], \
TraditionalForm], \\\"errors\\\" -> {}, \\\"input\\\" -> \\\"e^2\\\", \
\\\"state\\\" -> \\\"Boxes\\\"|>,\\\"TeXAssistantTemplate\\\"]\\)\"\>", {141893.5036090026, 1000},
        NCache[ImageScaled[{Rational[1, 2], 0}], ImageScaled[{0.5, 0}]]]}},
    FontFamily->"Times",
    FontSize->10], 
   LineBox[{{140900, -250}, {142700, -250}}], {
    LineBox[{{141000, -250}, {141000, -200}}], 
    LineBox[{{141500, -250}, {141500, -200}}], 
    LineBox[{{142000, -250}, {142000, -200}}], 
    LineBox[{{142500, -250}, {142500, -200}}]}, 
   StyleBox[{
     InsetBox["\<\"141,000\"\>", {141000, -450}, NCache[
      ImageScaled[{Rational[1, 2], Rational[1, 2]}], 
       ImageScaled[{0.5, 0.5}]]], 
     InsetBox["\<\"141,500\"\>", {141500, -450}, NCache[
      ImageScaled[{Rational[1, 2], Rational[1, 2]}], 
       ImageScaled[{0.5, 0.5}]]], 
     InsetBox["\<\"142,000\"\>", {142000, -450}, NCache[
      ImageScaled[{Rational[1, 2], Rational[1, 2]}], 
       ImageScaled[{0.5, 0.5}]]], 
     InsetBox["\<\"142,500\"\>", {142500, -450}, NCache[
      ImageScaled[{Rational[1, 2], Rational[1, 2]}], 
       ImageScaled[{0.5, 0.5}]]]},
    FontFamily->"Times",
    FontSize->14], 
   StyleBox[
    InsetBox["\<\"Semi-major Axis (km)\"\>", {141800, -600}, NCache[
     ImageScaled[{Rational[1, 2], 1}], ImageScaled[{0.5, 1}]]],
    FontFamily->"Times",
    FontSize->16]},
  AspectRatio->0.3]], "Output",
 CellChangeTimes->{
  3.8814061587391787`*^9, 3.8814062146575737`*^9, 3.8814063003099422`*^9, {
   3.881406353616335*^9, 3.881406362653989*^9}, 3.8814064349208403`*^9, 
   3.881407379830358*^9, 3.881407425067444*^9, 3.881407755509883*^9, {
   3.8814078016131268`*^9, 3.8814078421047707`*^9}, 3.881408091064795*^9, 
   3.8814081249632673`*^9, 3.8814081581617937`*^9, 3.881408219623851*^9, 
   3.881408262074718*^9, 3.881408841440134*^9, {3.881408876945602*^9, 
   3.8814089263555117`*^9}, {3.881409202657714*^9, 3.881409208273665*^9}, 
   3.881409282298876*^9, {3.8814093284357452`*^9, 3.881409355480482*^9}, 
   3.881409400990965*^9, {3.88140944620362*^9, 3.881409461969352*^9}, 
   3.881409517288319*^9, 3.881409547438294*^9, 3.8814095864543247`*^9, {
   3.881409630257656*^9, 3.881409646334659*^9}, {3.881409694909564*^9, 
   3.88140977469084*^9}, {3.8814099886024227`*^9, 3.88141003669977*^9}, 
   3.881410097496069*^9, 3.881410493172768*^9, 3.881474378266377*^9, 
   3.890981660053515*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"b09df473-939d-42af-9643-30f86c536b5c"]
}, Open  ]]
},
CellGrouping->Manual,
WindowSize->{1049, 661},
WindowMargins->{{84, Automatic}, {Automatic, 26}},
FrontEndVersion->"13.2 for Mac OS X x86 (64-bit) (November 18, 2022)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"c061b855-89a1-4882-821e-85c56706efda"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 439, 9, 53, "Text",ExpressionUUID->"b1c919ef-eebc-4aa6-a834-83a6feffe5e0"],
Cell[1000, 31, 174, 2, 67, "Section",ExpressionUUID->"5732c211-cd25-49d8-ae1f-19342b9da487"],
Cell[1177, 35, 234, 4, 49, "Text",ExpressionUUID->"91a497db-a69c-4474-8368-aab1d7cf4565"],
Cell[1414, 41, 276, 9, 53, "Text",ExpressionUUID->"3b2b4ba5-885a-4d17-97e7-9f6a615a02d7"],
Cell[1693, 52, 2995, 78, 304, "Input",ExpressionUUID->"9ace43fb-ea36-4bc7-8daf-9562027ee2a9"],
Cell[4691, 132, 308, 10, 53, "Text",ExpressionUUID->"44ad17e7-84ec-4cc5-a1d2-5a60e2ec089e"],
Cell[5002, 144, 13028, 338, 1257, "Input",ExpressionUUID->"c1bd66de-44c1-4614-9c12-bd9595c4bb78"],
Cell[18033, 484, 419, 8, 53, "Text",ExpressionUUID->"9d3803e8-49b4-4705-8cf3-b4cfa0870999"],
Cell[18455, 494, 318, 7, 33, "Input",ExpressionUUID->"c3385d47-56ca-4ad4-86a9-918643f71be4"],
Cell[18776, 503, 314, 7, 33, "Input",ExpressionUUID->"b06f92f0-a6c3-4bdb-b4f4-fc519e2a6408"],
Cell[19093, 512, 246, 4, 53, "Text",ExpressionUUID->"84f677ed-d96c-4cf8-93e9-ba59e3d05207"],
Cell[CellGroupData[{
Cell[19364, 520, 1188, 32, 73, "Input",ExpressionUUID->"c43e5a5d-3ecb-4c48-a6f5-978d5f7749f5"],
Cell[20555, 554, 1132, 31, 56, "Output",ExpressionUUID->"0e10a9a8-14f5-4bc4-86ee-74a307d003f9"]
}, Open  ]],
Cell[21702, 588, 264, 6, 53, "Text",ExpressionUUID->"4f24001c-9bf6-4da7-8c92-ec2fa494e8d3"],
Cell[CellGroupData[{
Cell[21991, 598, 1253, 30, 73, "Input",ExpressionUUID->"946b49f3-1994-4f28-8c49-babb3b26de0d"],
Cell[23247, 630, 1890, 50, 77, "Output",ExpressionUUID->"53be6b94-a920-4ddd-a3a7-031c328963cf"]
}, Open  ]],
Cell[25152, 683, 234, 4, 53, "Text",ExpressionUUID->"48f01e58-7ca7-44d6-8634-08c7ccfa9b56"],
Cell[CellGroupData[{
Cell[25411, 691, 524, 13, 30, "Input",ExpressionUUID->"4213fdc5-f2fe-4cac-8fe1-74e3cfb744ca"],
Cell[25938, 706, 1893, 51, 77, "Output",ExpressionUUID->"f320e734-25cc-4e92-af54-4d4c19c639eb"]
}, Open  ]],
Cell[27846, 760, 250, 4, 53, "Text",ExpressionUUID->"e56cc319-87b4-42b1-8fdb-b6da37f55318"],
Cell[CellGroupData[{
Cell[28121, 768, 303, 6, 30, "Input",ExpressionUUID->"8e24a9ea-f17e-4b50-94bf-ff82e676143b"],
Cell[28427, 776, 444, 8, 34, "Output",ExpressionUUID->"89106d4d-cfc3-4a05-8be8-dc05ffc69ab6"]
}, Open  ]],
Cell[28886, 787, 354, 8, 53, "Text",ExpressionUUID->"16c3fc9b-c7e7-43a0-953b-3a283c86edd0"],
Cell[CellGroupData[{
Cell[29265, 799, 1826, 40, 34, "Input",ExpressionUUID->"7e336d84-58c4-4302-b7ef-43d17433c4e5"],
Cell[31094, 841, 2127, 34, 38, "Output",ExpressionUUID->"45732e52-1148-4ef9-afd6-24951380aa03"]
}, Open  ]],
Cell[33236, 878, 364, 8, 53, "Text",ExpressionUUID->"ed80d338-1592-4bca-91cd-3cfca8cbdace"],
Cell[CellGroupData[{
Cell[33625, 890, 405, 8, 30, "Input",ExpressionUUID->"a58f059f-9fa0-46d1-a467-8bd434f7e95b"],
Cell[34033, 900, 2562, 56, 38, "Output",ExpressionUUID->"4b0c1a01-5946-4617-93cf-ef53484e5624"]
}, Open  ]],
Cell[36610, 959, 247, 4, 53, "Text",ExpressionUUID->"b0bdad14-024a-43de-bcb2-1aad9512ae4f"],
Cell[CellGroupData[{
Cell[36882, 967, 1192, 32, 73, "Input",ExpressionUUID->"5ff46524-706e-4bdf-9284-7bd442aaca71"],
Cell[38077, 1001, 1155, 31, 56, "Output",ExpressionUUID->"b85e5802-f3c5-42df-9390-38ab43362a0a"]
}, Open  ]],
Cell[39247, 1035, 333, 7, 53, "Text",ExpressionUUID->"6c219b66-77b2-473f-ad1e-b1060cc55d3e"],
Cell[CellGroupData[{
Cell[39605, 1046, 1291, 31, 73, "Input",ExpressionUUID->"82582811-2b6c-4bef-8e62-3773c3325f2a"],
Cell[40899, 1079, 1836, 49, 77, "Output",ExpressionUUID->"4e55d444-593b-411e-affb-41c33dd27014"]
}, Open  ]],
Cell[42750, 1131, 286, 5, 53, "Text",ExpressionUUID->"6d850711-21a0-4fc5-a6ba-8bd231e42e74"],
Cell[CellGroupData[{
Cell[43061, 1140, 578, 14, 30, "Input",ExpressionUUID->"b1eef7fc-6399-4e74-8788-6db95cb05162"],
Cell[43642, 1156, 1839, 50, 77, "Output",ExpressionUUID->"0fbc46b0-d61a-4bd5-9ead-df0a8fa645e7"]
}, Open  ]],
Cell[45496, 1209, 304, 5, 53, "Text",ExpressionUUID->"e15badc7-fa74-4ce2-9abe-676a2a4216f9"],
Cell[CellGroupData[{
Cell[45825, 1218, 355, 7, 30, "Input",ExpressionUUID->"735e9f1c-a376-41a0-b356-744ffcfd6846"],
Cell[46183, 1227, 500, 9, 34, "Output",ExpressionUUID->"503cc772-a6c4-4299-b5b0-e509fdfc4951"]
}, Open  ]],
Cell[46698, 1239, 454, 9, 53, "Text",ExpressionUUID->"b5117038-b119-45f9-b5ac-d52ab4c03b28"],
Cell[CellGroupData[{
Cell[47177, 1252, 1914, 42, 34, "Input",ExpressionUUID->"e5204415-b473-47f7-bd25-b56f8262dc34"],
Cell[49094, 1296, 2207, 35, 38, "Output",ExpressionUUID->"e45013d9-f704-4b57-8526-5d1c180c1e66"]
}, Open  ]],
Cell[51316, 1334, 367, 8, 53, "Text",ExpressionUUID->"0bb8c237-4274-41df-9a35-a5dec60dd2ac"],
Cell[CellGroupData[{
Cell[51708, 1346, 456, 8, 30, "Input",ExpressionUUID->"2ebedba8-f4c3-4a90-97e2-7ebec057e403"],
Cell[52167, 1356, 2626, 56, 38, "Output",ExpressionUUID->"b23057ab-c6ca-442b-bb66-6fed2cb0b926"]
}, Open  ]],
Cell[54808, 1415, 441, 9, 53, "Text",ExpressionUUID->"f28596cc-49aa-4f07-b50f-ece34c8ac914"],
Cell[55252, 1426, 2215, 57, 73, "Input",ExpressionUUID->"4869a8cc-f325-4683-8e72-9869dbdb60f4"],
Cell[57470, 1485, 491, 10, 53, "Text",ExpressionUUID->"08e4a297-b96a-4648-901a-9ccb0cc5d905"],
Cell[57964, 1497, 2040, 55, 73, "Input",ExpressionUUID->"9455f6e2-de9b-4dc2-88be-2f72867b617c"],
Cell[60007, 1554, 443, 7, 53, "Text",ExpressionUUID->"98ecfdd8-8399-420c-be07-056b32d1e0cb"],
Cell[60453, 1563, 4318, 119, 220, "Input",ExpressionUUID->"2cdefdf9-cab4-40c7-857b-b7a842711a69"],
Cell[64774, 1684, 433, 7, 53, "Text",ExpressionUUID->"2a5270f6-812e-4836-9668-6ec3589f1524"],
Cell[CellGroupData[{
Cell[65232, 1695, 638, 11, 30, "Input",ExpressionUUID->"31460659-bb87-43c8-af67-214ead315ba4"],
Cell[65873, 1708, 8209, 131, 167, "Output",ExpressionUUID->"b09df473-939d-42af-9643-30f86c536b5c"]
}, Open  ]]
}
]
*)

